/**
 ** X for KSplash/ML
 ** Copyright (c) 2002, Flaming Sword Productions
 ** All Rights Reserved
 **
 ** $Id: Icon.h,v 1.1.1.1 2002/06/03 17:24:04 brian Exp $
 **/
#ifndef		__ICON_H__
#define		__ICON_H__
#include	<qlabel.h>
#include	<qwidget.h>
#include	<kpixmap.h>
#include	<kdialogbase.h>

/**
 ** class Icon: This will draw an Icon on the screen, and will zoom based on what its
 ** position relative to the center is.  It will also bounce when instructed to.
 **/
class		Icon: public QLabel {
Q_OBJECT
public:
		Icon( const QPixmap&, unsigned int, unsigned int, bool );
		~Icon();

signals:
	void		sizeChanged();

private slots:
	void		_incrementalShow();

private:
	void		_scalePixmapsForCache();

protected:
	void		showEvent( QShowEvent * );
	void		resizeEvent( QResizeEvent * );

	QList<QPixmap>	gIcons;		// Icons sized 16 to 64 pixels.

	QPixmap		gIcon;
	unsigned int	gMinSize, gMaxSize;
	bool		gOptimize;

	int		size;
	bool		initialized;
};

#endif
