/**
 ** X for KSplash/ML
 ** Copyright (c) 2002, Flaming Sword Productions
 ** All Rights Reserved
 **
 ** $Id: ThemeX.h,v 1.4 2002/06/18 13:12:57 brian Exp $
 **/
#ifndef		__THEMEX_H__
#define		__THEMEX_H__
#include	<qlabel.h>
#include	<qwidget.h>
#include	<kprogress.h>
#include	<kdialogbase.h>
#include	<ThemeEngine.h>
#include	"Icon.h"
#include	"IconBar.h"

/**
 ** class ThemeX: Dazzle the user with an OSX-ish splash interface.
 **/
class		ObjKsTheme;
class		ThemeX: public ThemeEngine {
Q_OBJECT
public:
		ThemeX( QWidget *, ObjKsTheme * );
		~ThemeX();

inline const QString	name() { return( QString("KSplash/X") ); }
inline const KDialogBase *config( KConfig *kc ) { return 0L; }
static	QStringList	names() { 
	QStringList Names;
	Names << "KSplashX";
	Names << "KSplashOSX";
	Names << "OSX";
	Names << "X";
	Names << "Mac OS X";
	return( Names );
};

public slots:
	void		slotSetPixmap( const QString& );
inline	void            slotUpdateProgress( int i ) { if(gProgress) gProgress->setValue( i ); }
inline	void            slotUpdateSteps( int i ) { if(gProgress) gProgress->setRange( 1, i ); }

private:
	void		_initUi();
	QRect		_desktopGeometry();
	void		_readSettings();

	IconBar		*gIconBar;
	KProgress	*gProgress;

	/**
	 ** Configurable options.
	 **/
	unsigned int	oMinSize, oMaxSize;
	bool		oOptimizedRendering,
			oUseProgress;
	QRect		oProgressPos;
};

#endif
